org.apache.hadoop.mapreduce.v2.app.job.event

## Enum TaskAttemptEventType

- java.lang.Object
- - java.lang.Enum<TaskAttemptEventType>
  - - org.apache.hadoop.mapreduce.v2.app.job.event.TaskAttemptEventType

- All Implemented Interfaces:
    Serializable, Comparable<TaskAttemptEventType>

      public enum TaskAttemptEventType
      extends Enum<TaskAttemptEventType>

  Event types handled by TaskAttempt.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `TA_ASSIGNED`
    `TA_CLEANUP_DONE`
    `TA_COMMIT_PENDING`
    `TA_CONTAINER_CLEANED`
    `TA_CONTAINER_COMPLETED`
    `TA_CONTAINER_LAUNCH_FAILED`
    `TA_CONTAINER_LAUNCHED`
    `TA_DIAGNOSTICS_UPDATE`
    `TA_DONE`
    `TA_FAILMSG`
    `TA_FAILMSG_BY_CLIENT`
    `TA_KILL`
    `TA_PREEMPTED`
    `TA_RECOVER`
    `TA_RESCHEDULE`
    `TA_SCHEDULE`
    `TA_TIMED_OUT`
    `TA_TOO_MANY_FETCH_FAILURE`
    `TA_UPDATE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TaskAttemptEventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TaskAttemptEventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TA_SCHEDULE

          public static final TaskAttemptEventType TA_SCHEDULE

    - #### TA_RESCHEDULE

          public static final TaskAttemptEventType TA_RESCHEDULE

    - #### TA_RECOVER

          public static final TaskAttemptEventType TA_RECOVER

    - #### TA_KILL

          public static final TaskAttemptEventType TA_KILL

    - #### TA_ASSIGNED

          public static final TaskAttemptEventType TA_ASSIGNED

    - #### TA_CONTAINER_COMPLETED

          public static final TaskAttemptEventType TA_CONTAINER_COMPLETED

    - #### TA_CONTAINER_LAUNCHED

          public static final TaskAttemptEventType TA_CONTAINER_LAUNCHED

    - #### TA_CONTAINER_LAUNCH_FAILED

          public static final TaskAttemptEventType TA_CONTAINER_LAUNCH_FAILED

    - #### TA_CONTAINER_CLEANED

          public static final TaskAttemptEventType TA_CONTAINER_CLEANED

    - #### TA_DIAGNOSTICS_UPDATE

          public static final TaskAttemptEventType TA_DIAGNOSTICS_UPDATE

    - #### TA_COMMIT_PENDING

          public static final TaskAttemptEventType TA_COMMIT_PENDING

    - #### TA_DONE

          public static final TaskAttemptEventType TA_DONE

    - #### TA_FAILMSG

          public static final TaskAttemptEventType TA_FAILMSG

    - #### TA_UPDATE

          public static final TaskAttemptEventType TA_UPDATE

    - #### TA_TIMED_OUT

          public static final TaskAttemptEventType TA_TIMED_OUT

    - #### TA_PREEMPTED

          public static final TaskAttemptEventType TA_PREEMPTED

    - #### TA_FAILMSG_BY_CLIENT

          public static final TaskAttemptEventType TA_FAILMSG_BY_CLIENT

    - #### TA_CLEANUP_DONE

          public static final TaskAttemptEventType TA_CLEANUP_DONE

    - #### TA_TOO_MANY_FETCH_FAILURE

          public static final TaskAttemptEventType TA_TOO_MANY_FETCH_FAILURE

  - ### Method Detail

    - #### values

          public static TaskAttemptEventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TaskAttemptEventType c : TaskAttemptEventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TaskAttemptEventType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.